%global gem_name prawn-svg

Name: rubygem-%{gem_name}
Version: 0.25.2
Release: 1%{?dist}
Summary: SVG renderer for Prawn PDF library
Group: Development/Languages
License: MIT
URL: http://github.com/mogest/prawn-svg
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0.0
# BuildRequires: rubygem(rspec) => 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
This gem allows you to render SVG directly into a PDF using the 'prawn' gem. 
Since PDF is vector-based, you'll get nice scaled graphics if you use SVG
instead of an image.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%files
%dir %{gem_instdir}
%doc %{gem_instdir}/README.md
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rspec
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/prawn-svg.gemspec
%{gem_instdir}/spec

%changelog
* Sun Sep 11 2016 Fabio Alessandro Locati <fale@redhat.com> - 0.25.2-1
- Update to 0.25.2

* Fri Jun 17 2016 Fabio Alessandro Locati <fale@redhat.com> - 0.25.1-1
- Initial package
